{
  "Logging": {
    "LogLevel": {
      "Default": "Information",
      "Microsoft.AspNetCore": "Warning"
    }
  },
  "AllowedHosts": "*",
  "EConnect": {
    "BaseAddress": "https://portal.demoportal01.leanetec.com",
    "DefaultQueryStrings": {
      "apiKey": "HGpGp3vk3MsKgSe0tKVZ1ZRCuq6bFoJ1"
    },
    "JsonSerializerDateFormat": "yyyy-MM-dd HH:mm"
  },
  "NLog": {
    "throwConfigExceptions": true,
    "variables": {
      "logDirectory": "E:\\LogFiles\\Digital Data\\EConnect-Proxy",
      "logFileNamePrefix": "${shortdate}-ECM.EConnect-Proxy.Web"
    },
    "targets": {
      "infoLogs": {
        "type": "File",
        "fileName": "${logDirectory}\\${logFileNamePrefix}-Info.log",
        "maxArchiveDays": 30
      },
      "warningLogs": {
        "type": "File",
        "fileName": "${logDirectory}\\${logFileNamePrefix}-Warning.log",
        "maxArchiveDays": 30
      },
      "errorLogs": {
        "type": "File",
        "fileName": "${logDirectory}\\${logFileNamePrefix}-Error.log",
        "maxArchiveDays": 30
      },
      "criticalLogs": {
        "type": "File",
        "fileName": "${logDirectory}\\${logFileNamePrefix}-Critical.log",
        "maxArchiveDays": 30
      }
    },
    "rules": [
      {
        "logger": "*",
        "level": "Info",
        "writeTo": "infoLogs"
      },
      {
        "logger": "*",
        "level": "Warn",
        "writeTo": "warningLogs"
      },
      {
        "logger": "*",
        "level": "Error",
        "writeTo": "errorLogs"
      },
      {
        "logger": "*",
        "level": "Fatal",
        "writeTo": "criticalLogs"
      }
    ]
  }
}